package com.zhyc.module.dairyProducts.service;

import org.springframework.web.multipart.MultipartFile;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface INpMilkInOutStoreService {
    List<Map<String,Object>> selectWithDynamicColumns(Date start, Date end);
    List<Map<String,Object>> getAllColumnOptions();
    List<Map<String,Object>> parseImportExcel(MultipartFile file) throws Exception;
    void batchInsertFromRows(List<Map<String,Object>> rows) throws Exception;
}

